py_funccalls.d(1m)

NAME
py_funccalls.d - measure Python function calls using DTrace.

SYNOPSIS
py_funccalls.d

DESCRIPTION
This traces Python activity from all running programs on the system which support the Python DTrace provider. Filename and function names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Python provider, which may change as additional features are introduced. Check Python/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # py_funccalls.d

FIELDS

FUNC
    Python function name

CALLS
    Function calls during this sample

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
py_funccalls.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)